## ros-iron-ros2doctor 0.25.3

=== debian/changelog ===
ros-iron-ros2doctor (0.25.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-ros2doctor (0.25.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-ros2doctor (0.25.1-1jammy) jammy; urgency=high

  * Shutdown ros2doctor hello when ctrl-c is received (#829 <https://github.com/ros2/ros2cli/issues/829>)
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-ros2doctor (0.25.0-1jammy) jammy; urgency=high

  * Make all of the dependencies in pure Python packages exec_depend. (#823 <https://github.com/ros2/ros2cli/issues/823>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-ros2doctor (0.24.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-ros2doctor (0.24.0-1jammy) jammy; urgency=high

  * Enable document generation using rosdoc2 (#811 <https://github.com/ros2/ros2cli/issues/811>)
    * Fix warnings for ros2component, ros2doctor, ros2interface, and ros2node
  * Contributors: Yadu

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-ros2doctor (0.23.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 01 Mar 2023 16:00:00 -0000

ros-iron-ros2doctor (0.22.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-ros2doctor (0.21.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-ros2doctor (0.20.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-ros2doctor (0.19.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-ros2doctor (0.18.3-1jammy) jammy; urgency=high

  * Fix importlib_metadata warning on Python 3.10. (#706 <https://github.com/ros2/ros2cli/issues/706>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-ros2doctor (0.18.2-1jammy) jammy; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-iron-ros2doctor (0.18.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-ros2doctor (0.18.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-ros2doctor (0.17.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-iron-ros2doctor (0.17.0-1jammy) jammy; urgency=high

  * Switch ros2 doctor to using psutil for network checks. (#687 <https://github.com/ros2/ros2cli/issues/687>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-iron-ros2doctor (0.16.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-ros2doctor (0.16.0-1jammy) jammy; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-ros2doctor (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Improve ros2 doctor on Windows. (#631 <https://github.com/ros2/ros2cli/issues/631>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-iron-ros2doctor (0.14.0-1jammy) jammy; urgency=high

  * Add QoS compatibility check and report. (#621 <https://github.com/ros2/ros2cli/issues/621>)
  * Continue to next iteration after exceptions in generate_reports. (#623 <https://github.com/ros2/ros2cli/issues/623>)
  * Contributors: Alberto Soragna, Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-iron-ros2doctor (0.13.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-ros2doctor (0.12.0-1jammy) jammy; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Mar 2021 16:00:00 -0000

ros-iron-ros2doctor (0.11.0-1jammy) jammy; urgency=high

  * Support Python 3.8-provided importlib.metadata. (#585 <https://github.com/ros2/ros2cli/issues/585>)
  * Contributors: Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-ros2doctor (0.10.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-ros2doctor (0.10.0-1jammy) jammy; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Remove pkg_resources from ros2doctor. (#537 <https://github.com/ros2/ros2cli/pull/537>)
  * Make ros2doctor depend on ros_environment and fix platform.py bug on error. (#538 <https://github.com/ros2/ros2cli/issues/538>)

